module nios_DE2_demo (
		CLK,
		KEY,
		SW,
		LEDR
		);
	
	input         CLK;
	input	 [3:0]  KEY;
	input  [17:0] SW;				
   output [17:0] LEDR;

   wire rst;
	reg [17:0] leds;
	reg [17:0] random = 18'b0;
	
	assign rst = KEY[0];
	assign LEDR = leds ^ random[11:0];

	Block2 blck
	(
		.in(SW[11:0]),
		.out(leds[11:0])
	);

	always@(posedge CLK)
	begin
		if(!rst) begin
			random <= random + 1;
		end
	end

endmodule
